Page 1 of 1

Feil i Joomla libraries - får ikke logget inn som admin

Posted: Sun Apr 14, 2019 12:12 pm
by kinaputt
Hei! Jeg satt opp ei nettside for min mor for flere år siden. Den virker ikke lenger. Det vil si, nettsiden kommer opp, men menyen på toppen vises ikke lenger. Jeg får heller ikke til å logge inn i admin. Sannsynligvis fordi alt er av type steinalder. Jeg har satt på feilsøking i konfigfila, så får den smørbrødlista!


Warning: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead in /home/1/b/barkiel/www/libraries/joomla/filter/input.php on line 652

Warning: preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead in /home/1/b/barkiel/www/libraries/joomla/filter/input.php on line 654

Warning: session_cache_limiter(): Cannot change cache limiter when headers already sent in /home/1/b/barkiel/www/libraries/joomla/session/session.php on line 531

Warning: session_start(): Cannot start session when headers already sent in /home/1/b/barkiel/www/libraries/joomla/session/session.php on line 532
Duplicate entry '' for key 'PRIMARY' SQL=INSERT INTO `jvntd_session` (`session_id`, `client_id`, `time`) VALUES ('', 1, '1555243646')
Admin_error.JPG
Det er enda verre på selve nettsida.

I første omgang vil jeg bare komme inn som admin. Jeg har prøvd å gjøre det som står her: https://stackoverflow.com/questions/449 ... argument-2 uten å ha fått det til. Da fikk jeg feilmelding: "Parse error: syntax error, unexpected 'protected' (T_PROTECTED) in /home/1/b/barkiel/www/libraries/joomla/filter/input.php on line 667" Jeg er usikker på om jeg har gjort det riktig eller om det ikke fungerer på mitt oppsett.

Sida ligger på domeneshop. Jeg prøvde å endre PHP-versjon fra 7.2 til 7.0 eller 7.3. Jeg fikk andre feilmeldinger, men jeg fikk ikke logga inn. Jeg vil tro at dette er problemet mitt. At nettsiden ikke har blitt oppdatert når domeneshop har kjørt oppdateringer. Jeg burde sikkert ha satt opp alt på nytt med ny versjon av Joomla!, men det tar litt tid da jeg ikke er så flink på dette.

Joomla! versjon: 2.5.x. (tror jeg) Link: http://www.barkiel.no. Hvis dere trenger noe mer info skal jeg forsøke å finne det.

Takk på forhånd!

Re: Feil i Joomla libraries - får ikke logget inn som admin

Posted: Sun Apr 14, 2019 2:43 pm
by Per Yngve Berg
Joomla 2.5 kjører ikke på php 7.x. Du må velge 5.6

Siste versjon av 2.5-serien er 2.5.28.

https://downloads.joomla.org/cms/joomla ... format=zip

Joomla 2.5 er ikke støttet siden desember 2014. Vurder å oppgradere til den gjeldende versjon 3.9.5

Re: Feil i Joomla libraries - får ikke logget inn som admin

Posted: Sun Apr 14, 2019 10:40 pm
by kinaputt
Per Yngve Berg wrote:
Sun Apr 14, 2019 2:43 pm
Joomla 2.5 kjører ikke på php 7.x. Du må velge 5.6

Siste versjon av 2.5-serien er 2.5.28.

https://downloads.joomla.org/cms/joomla ... format=zip

Joomla 2.5 er ikke støttet siden desember 2014. Vurder å oppgradere til den gjeldende versjon 3.9.5
Takk for svar. Siden domeneshop ikke lar meg velge eldre enn PHP 7.0, må jeg oppgradere for å i det hele tatt kunne logge inn? Jeg fant ei .zip-fil som heter "Joomla_2.5.9-Stable-Full_Package" på PC'en min. Hvis jeg har brukt den, kan jeg legge inn patch'en du linka uansett? Hvis så, skal innholdet i patchen overskrive filene i FTP? Kan jeg sjekke eksakt hvilken versjon jeg har på enten FTP eller i databasen? Kan jeg oppgradere til 3.9.5 uten å logge inn som admin?

Re: Feil i Joomla libraries - får ikke logget inn som admin

Posted: Mon Apr 15, 2019 7:55 am
by rued
Du kan vurdere å bytte til en netthotell-tilbyder som lar deg selv bestemme hvilken PHP-versjon du skal bruke, som ProIsp.no, Netbox.no eller annen.

Men uansett er det jo ikke slik at man bare kan sette opp en nettside med Joomla og glemme den, den må vedlikeholdes og oppdateres av hensyn til både din mor og hennes besøkende. Ingen vil ha nettsider som står og sprer skadevare ...

Så anbefalt er jo å bare komme deg i gang med oppryddingen og oppdateringen, som det finnes mange gode guider for, men du kan jo begynne her f.eks.: https://docs.joomla.org/Joomla_2.5_to_3 ... _Migration

Ser man på annonseringen av nyeste versjon finner man at alle versjoner mellom 1.5.0 og 3.9.5 inneholder sikkerhetshull, og dette er bare et av mange i den versjonen du har satt opp: https://www.joomla.org/announcements/re ... lease.html

Edit! Versjon finner du i fila /libraries/cms/version/version.php

Lykke til! :)

Re: Feil i Joomla libraries - får ikke logget inn som admin

Posted: Mon Apr 15, 2019 4:35 pm
by Per Yngve Berg
Får du ikke byttet php-versjon på server, kan du flytte den til din PC under XAMP eller WAMP Server og foreta oppgraderingen der.